/*
	Tiny Symbol Table test
 */

#include <stdio.h>
#include "tinyst.h"
#include "codes.h"

int main(int argc, char *argv[])
{
	int i;
	tst_t *st = tst_init(errcodes_data);

	printf("---------------------\n");
	for(i = -10; i < 50; ++i)
		printf("sym %d = '%s'\n", i, tst_name(st, i));

	printf("---------------------\n");

	printf("%s\n", tst_name(st, ERRC_MEMORY));
	printf("%s\n", tst_name(st, ERRC_TRACKING));

	printf("---------------------\n");

	return 0;
}
